Name: gphoto2
Version: 2.1.4
Release: alt3

Group: Graphics
Summary: Command line utilities to access digital cameras
Summary (ru_RU.UTF-8): Консольные программы для обмена данными с цифровыми фотоаппаратами
Url: http://www.gphoto.org/
License: GPL

Requires: lib%name = %version-%release

BuildPreReq: libexif-devel >= 0.5.12
BuildRequires: XFree86-devel aalib-devel glib2 glibc-devel-static hostinfo libcdk-devel libexif-devel libgphoto2-devel libgpm-devel libjpeg-devel liblockdev-devel libncurses-devel libpopt-devel libreadline-devel libslang-devel libtinfo-devel libusb-devel pkgconfig rootfiles


Source: lib%name-%version.tar.bz2
Source1: %name-%version.tar.bz2

%description
gPhoto is part of the GNU project - and is an universal, free
application and library framework that lets you download
images from several different digital camera models, including
the newer models with USB connnection. Note that for some older
camera models you must use the old "gphoto" package.

This package contains command-line gphoto2 client.

%package -n lib%name
Group: System/Libraries
Summary: Library to access to digital cameras
Summary (ru_RU.UTF-8): Библиотека функций ддя работы с цифровыми фотокамерами
License: LGPL
#
Requires: hotplug
#
%description -n lib%name
This library contains all the functionality to access to modern digital
cameras via USB or the serial port.

%package -n lib%name-devel
Group: Development/C
Summary: Headers and links to compile against the "lib%name" library
Summary (ru_RU.UTF-8): Заглавные файлы и ссылки необходимые при компиляции с библиотекой "libgphoto2"
License: LGPL
#
Requires: lib%name = %version-%release
#
%description -n lib%name-devel
This package contains all files which one needs to compile programs using
the "lib%name" library.

%package -n lib%name-devel-static
Group: Development/C
Summary: Static libraries to compile against the "lib%name" library
Summary (ru_RU.UTF-8): Статические версии библиотек для компиляции с библиотекой "libgphoto2"
License: LGPL
#
Requires: lib%name-devel = %version-%release
#
%description -n lib%name-devel-static
This package contains libraries which one needs to compile programs statically linked
against "lib%name" library.

##### TRANSLATED DESCRIPTIONS  #####

%description -l ru_RU.UTF-8
gPhoto - универсальный комплект программ и библиотек, позволяющий
копировать на жёсткий диск снимки сделанные разными моделями цифровых
фотоаппаратов, в том числе новыми аппаратами с USB интерфейсом.
Обратите внимание, что с некоторыми старыми моделями необходимо
использовать старую программу "gphoto".

%description -n lib%name -l ru_RU.UTF-8
Библиотека предоставляет все необходимые функции для обмена данными
с современными цифровыми фотокамерами посредством USB или последовательного порта.

%description -n lib%name-devel -l ru_RU.UTF-8
Пакет содержит все необходимые файлы для компиляции программ, использующих
библиотеку "libgphoto2".

%description -n lib%name-devel-static  -l ru_RU.UTF-8
Пакет содержит статические версии библиотек для компиляции программ, использующих
библиотеку "libgphoto2".

##### PREP #####

%prep
%setup -q -c %name
tar jxf %SOURCE0
tar jxf %SOURCE1
#
pushd lib%name-%version
# no patches
popd
pushd %name-%version
# no patches
popd

# Small for for Automake
#touch ./lib%name-%version/lib%{name}_port/doc/DocRules.am

for dir in ./%name-%version ./lib%name-%version ./lib%name-%version/lib%{name}_port
do
pushd $dir
#    aclocal
#    autoheader
#    automake --add-missing --gnu
    autoconf
#    libtoolize --copy --force
popd
done

##### BUILD #####

%build
LIBSDIR=`pwd`/libs

if ! [ -f $LIBSDIR/usr/lib/libgphoto2.so ]
then
export LDFLAGS="-L%_builddir/%name-%version/lib%name-%version/lib%{name}_port/lib%{name}_port/.libs"
pushd lib%name-%version
%configure \
    --enable-static \
    --enable-shared \
    --disable-debugging \
    --with-drivers=all \
    --without-baudboy \
    --with-lockdev \
    --with-usb \
    --with-serial
%make_build
popd
#
%make DESTDIR=$LIBSDIR install -C ./lib%name-%version
fi

export PKG_CONFIG_PATH=$LIBSDIR/%_libdir/pkgconfig
export CFLAGS="-I$LIBSDIR/%_includedir -I$LIBSDIR/%_includedir/%name"
export LDFLAGS="-L$LIBSDIR/%_libdir" LD_LIBRARY_PATH=$LIBSDIR/%_libdir

pushd %name-%version
%configure \
    --disable-debugging \
    --with-pthread \
    --with-cdk \
    --with-jpeg \
    --with-exif \
    --with-aalib \
    --with-popt \
    --with-readline
%make_build
popd

##### INSTALL #####

%install
%make DESTDIR=%buildroot install -C ./lib%name-%version
%make DESTDIR=%buildroot install -C %name-%version
%__cp -f lib%name-%version/lib%{name}_port/AUTHORS lib%name-%version/lib%{name}_port/AUTHORS.port

%__chmod a-x lib%name-%version/packaging/linux-hotplug/usbcam.*
%__install -pD -m755 lib%name-%version/packaging/linux-hotplug/usbcam.console %buildroot/%_sysconfdir/hotplug/usb/usbcam

%find_lang lib%{name}_port-0 lib%name-2 --output=lib%name.lang
%find_lang %name --output=%name.lang

##### PRE/POST INSTALL SCRIPTS #####

%post -n lib%name
%post_ldconfig
# create /etc/hotplug/usb/usbcam.usermap
%_libdir/lib%name/print-usb-usermap > %_sysconfdir/hotplug/usb/usbcam.usermap

%postun -n lib%name
%postun_ldconfig
# remove /etc/hotplug/usb/usbcam.usermap
# if erasing the package not as part of a package update
if [ "$1" = 0 ]; then
    %__rm -f %_sysconfdir/hotplug/usb/usbcam.usermap
fi

##### FILE LISTS FOR ALL BINARY PACKAGES #####

%files -f %name.lang
%_bindir/%name
#
%_man1dir/%{name}*
%doc %name-%version/{README,NEWS,AUTHORS,ChangeLog}

%files -n lib%name -f lib%name.lang
%config %_sysconfdir/hotplug/usb/usbcam
%_libdir/*.so.*
%dir %_libdir/%name
%dir %_libdir/%name/%version
%_libdir/%name/%version/*.so
%dir %_libdir/%{name}_port
%dir %_libdir/%{name}_port/0.5.1
%_libdir/%{name}_port/0.5.1/*.so
%_libdir/lib%name
#
%_datadir/lib%name
#
%doc lib%name-%version/{README,AUTHORS,NEWS,TESTERS}
%doc lib%name-%version/lib%{name}_port/AUTHORS.port
%doc lib%name-%version/packaging/linux-hotplug/usbcam.*

%files -n lib%name-devel
%_bindir/*-config
%_includedir/%name
%_libdir/*.so
#%_libdir/%nameportConf.sh
%_libdir/pkgconfig/*
#
%_man3dir/lib%{name}*
#
%doc lib%name-%version/{HACKING,ChangeLog}
%doc lib%name-%version/doc/{DAEMON,*.??*,api/*-*}

%files -n lib%name-devel-static
%_libdir/*.a
%_libdir/%name/%version/*.a
%_libdir/%{name}_port/0.5.1/*.a

%changelog
* Wed Jun 23 2004 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.4-alt3
- no update-usb.usermap call in postinstall script

* Tue Jun 08 2004 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.4-alt2
- usbcam.group replaced by usbcam.console. Group camera removed.

* Sat Feb 21 2004 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Fri Dec 12 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.2-alt2
- .la removed

* Tue Sep 16 2003 Sergey V Turchin <zerg at altlinux dot org> 2.1.2-alt1
- new version
- some spec cleanup
- fix requires

* Sat Aug 23 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.1-alt0.7
- Serial fix

* Sun Jun 15 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.1-alt0.6
- libgphoto2 requirements fix (hotplug).

* Wed May 28 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.1-alt0.5
- non-root execution (all users in group 'camera' can now use gphoto2)

* Wed Apr 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt0.4
- russian descriptions (slava).

* Wed Apr 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt0.3
- more improvements.
- build with new libexif.

* Sun Mar 30 2003 ZerG <zerg@altlinux.ru> 2.1.1-alt0.2
- new version
- improve spec

* Wed Oct 23 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.1.0-alt1
- Rebuilt in new environment
- Rebuilt with liblockdev
- Some spec fixes
- 2.1.0

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0-alt2
- Rebuild with new binutils

* Fri Mar 01 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0-alt1
- Release %name 2.0

* Thu Dec 06 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.0-alt0.3cvs20011204
- Build from CVS
- Rebuild with new libusb

* Fri Aug 24 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.0-alt0.2beta1
- Added devel-static package
- Some spec cleanup
- Fixed filelists

* Fri Aug 23 2001 Rider <rider@altlinux.ru> 2.0-alt0.1beta1
- first BUILD for ALT
